Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.axis.message
Class RPCElement

    java.lang.Object
      |
      +--org.apache.axis.message.MessageElement
            |
            +--org.apache.axis.message.SOAPBodyElement
                  |
                  +--org.apache.axis.message.RPCElement

All Implemented Interfaces:
  Node, java.io.Serializable, SOAPBodyElement, SOAPElement

public class RPCElement
extends SOAPBodyElement

See Also:
  Serialized Form

Inner classes inherited from class org.apache.axis.message.MessageElement
`MessageElement.QNameAttr`

Field Summary
`protected boolean` | `elementIsFirstParam`
`protected boolean` | `needDeser`
`protected java.util.Vector` | `params`

Fields inherited from class org.apache.axis.message.MessageElement
`_isDirty, _isRoot, attributes, context, elementRep, encodingStyle, endEventIndex, href, id, log, message, name, namespaces, namespaceURI, parent, prefix, qNameAttrs, recorder, startContentsIndex, startEventIndex, textRep, typeQName`

Constructor Summary
`RPCElement(java.lang.String methodName)`
`RPCElement(java.lang.String namespace, java.lang.String methodName, java.lang.Object[] args)`
`RPCElement(java.lang.String namespace, java.lang.String localName, java.lang.String prefix, org.xml.sax.Attributes attributes, DeserializationContext context, OperationDesc[] operations)`

Method Summary
`void` | `addParam(RPCParam param)`
`void` | `deserialize()`
`java.lang.String` | `getMethodName()`
`RPCParam` | `getParam(java.lang.String name)` This gets the FIRST param whose name matches.
`java.util.Vector` | `getParams()`
`protected void` | `outputImpl(SerializationContext context)` Subclasses can override
`void` | `setNeedDeser(boolean needDeser)`

Methods inherited from class org.apache.axis.message.SOAPBodyElement
`detachNode, setParentElement`

Methods inherited from class org.apache.axis.message.MessageElement
`addAttribute, addAttribute, addAttribute, addChild, addChildElement, addChildElement, addChildElement, addChildElement, addChildElement, addMapping, addNamespaceDeclaration, addTextNode, getAllAttributes, getAsDocument, getAsDOM, getAttributes, getAttributeValue, getAttributeValue, getChildElements, getChildElements, getChildren, getCompleteAttributes, getElementName, getEncodingStyle, getEnvelope, getFixupDeserializer, getHref, getID, getName, getNamespacePrefixes, getNamespaceURI, getNamespaceURI, getObjectValue, getParentElement, getPrefix, getPrefix, getQName, getRealElement, getRecorder, getType, getValue, getValueAsType, isDirty, isRoot, makeAttributesEditable, output, publishContents, publishToHandler, recycleNode, removeAttribute, removeChild, removeNamespaceDeclaration, setAttribute, setContentsIndex, setDirty, setEncodingStyle, setEndIndex, setEnvelope, setFixupDeserializer, setName, setNamespaceURI, setNSMappings, setObjectValue, setPrefix, setQName, setRecorder, setType, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface javax.xml.soap.SOAPElement
`addAttribute, addChildElement, addChildElement, addChildElement, addChildElement, addChildElement, addNamespaceDeclaration, addTextNode, getAllAttributes, getAttributeValue, getChildElements, getChildElements, getElementName, getEncodingStyle, getNamespacePrefixes, getNamespaceURI, removeAttribute, removeNamespaceDeclaration, setEncodingStyle`

Methods inherited from interface javax.xml.soap.Node
`getParentElement, getValue, recycleNode`

Field Detail

### params

    protected java.util.Vector params

### needDeser

    protected boolean needDeser

### elementIsFirstParam

    protected boolean elementIsFirstParam

Constructor Detail

### RPCElement

    public RPCElement(java.lang.String namespace,
                      java.lang.String localName,
                      java.lang.String prefix,
                      org.xml.sax.Attributes attributes,
                      DeserializationContext context,
                      OperationDesc[] operations)
               throws AxisFault

### RPCElement

    public RPCElement(java.lang.String namespace,
                      java.lang.String methodName,
                      java.lang.Object[] args)

### RPCElement

    public RPCElement(java.lang.String methodName)

Method Detail

### getMethodName

    public java.lang.String getMethodName()

### setNeedDeser

    public void setNeedDeser(boolean needDeser)

### deserialize

    public void deserialize()
                     throws org.xml.sax.SAXException

### getParam

    public RPCParam getParam(java.lang.String name)
                      throws org.xml.sax.SAXException

  This gets the FIRST param whose name matches. !!! Should it return more in the case of duplicates?

### getParams

    public java.util.Vector getParams()
                               throws org.xml.sax.SAXException

### addParam

    public void addParam(RPCParam param)

### outputImpl

    protected void outputImpl(SerializationContext context)
                       throws java.lang.Exception

  Description copied from class: `MessageElement`
  Subclasses can override
  Overrides:
    `outputImpl` in class `MessageElement`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 Apache XML Project. All Rights Reserved.